# HowTo
#============
# 1) create a new directory called: teamviewer8
# 2) download teamviewer_linux.rpm from website and move it into this new directory
# 3) extract the rpm using the command: "rpm2cpio teamviewer_linux.rpm| cpio -ivd"
# 4) rm -f *.rpm
# 5) go up one directory and compress to xz: "tar cfj teamviewer8.tar.xz teamviewer8"
#
%define		nameint teamviewer
%define		dont_strip 1

Name:		teamviewer8
Version:	8.0.17147
Release:	%mkrel 1.nonfree
Summary:	Remote Control Application
Summary(fr_FR):	Application de control à distance
Vendor:		TeamViewer GmbH
URL:		http://www.teamviewer.com/
License:	Proprietary; includes substantial Free Software components, notably the Wine Project.
Group:		Networking/Remote access
Source0:	%{name}-%{version}.tar.xz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name < %version
Obsoletes:	%nameint < %version


%description
TeamViewer is a remote control application. TeamViewer provides easy, 
fast and secure remote access to Linux, Windows PCs, and Macs.

TeamViewer is free for personal use. You can use TeamViewer completely 
free of charge to access your private computers or to help your friends 
with their computer problems.

To buy a license for commercial use, please visit http://www.teamviewer.com

%description -l fr_FR
TeamViewer est une application de contrôle à distance. TeamViewer fournit un 
accès à distance facile, rapide et sécurisé pour Linux, PC Windows, et Mac.

TeamViewer est gratuit pour un usage personnel.
Vous pouvez utiliser TeamViewer entièrement gratuitement pour accéder à 
vos ordinateurs privés ou pour aider vos amis à résoudre leurs problèmes 
informatiques.

Pour acheter une licence pour un usage commercial, s'il vous plaît visitez 
http://www.teamviewer.com

%prep
%setup -q
 
%build

%install
rm -rf %buildroot
# extract TeamViewer8 archive
mkdir -p %{buildroot}
tar -xf %{SOURCE0} -C %{buildroot}/
mv %{buildroot}/%{name}-%{version}/* %{buildroot}/

%pre
#!/bin/sh

# Make sure the script returns 0
true


%post 
#!/bin/bash

TV_PACKAGE_INSTALL="yes"
TV_SCRIPT_DIR="/opt/teamviewer8/tv_bin/script"

source "$TV_SCRIPT_DIR/tvw_config"
source "$TV_SCRIPT_DIR/tvw_aux"
source "$TV_SCRIPT_DIR/tvw_daemon"


function MainDEB()
{
  local action="$1"
  local lastcfg="$2"

  [ "$action" = "configure" ] && Configure
}

function MainRPM()
{
  Configure
}

function Configure()
{
  updateMenuEntries 'install'
#  updateSymlinks #deprecated (replaces V5)
  installDaemon
}


[ "$TV_PKGTYPE" = "DEB" ] && MainDEB "$@"
[ "$TV_PKGTYPE" = "RPM" ] && MainRPM "$@"

true

%preun
#!/bin/bash

TV_VER="8"
TV_PACKAGE_INSTALL="yes"
TV_SCRIPT_DIR="/opt/teamviewer8/tv_bin/script"

source "$TV_SCRIPT_DIR/tvw_config"
source "$TV_SCRIPT_DIR/tvw_aux"
source "$TV_SCRIPT_DIR/tvw_daemon"


function MainDEB()
{
  local action="$1"
  local newver="$2"
  local removemenu=1

  [ "$action" = "remove" ] || [ "$action" = "upgrade" ] || exit 0

  if [ "$action" = "upgrade" ] ; then # don't remove menu entry if major version remains the same
    echo "$newver" | grep -qs "^${TV_VER}."
    [ $? -eq 0 ] && removemenu=0
  fi

  [ "$removemenu" = "1" ] && updateMenuEntries 'uninstall'
#  removeSymlinks
  removeDaemon
}

function MainRPM()
{
  local installcount="$1"

  [ "$installcount" -eq 0 ] || return # return if called during an upgrade (do not remove menu/symlink)

  updateMenuEntries 'uninstall'
#  removeSymlinks
  removeDaemon
}


[ "$TV_PKGTYPE" = "DEB" ] && MainDEB "$@"
[ "$TV_PKGTYPE" = "RPM" ] && MainRPM "$@"

true

%postun 
#!/bin/bash

TV_PKGTYPE="RPM"
TV_BASE_DIR="/opt/teamviewer8"

function MainDEB()
{
  local action="$1"
  local oldver="$2"

  [ "$action" = "remove" ] && Remove
  [ "$action" = "purge"  ] && Purge
}

function MainRPM()
{
  Remove
}

function Remove()
{
  cmdExists update-menus        && update-menus
  cmdExists update-icon-caches  && update-icon-caches /usr/share/icons/hicolor
}

function Purge()
{
  rm -rf "$TV_BASE_DIR"
  # TODO
  true
}

function cmdExists()
{
  command -v "$1" >/dev/null 2>&1
}


[ "$TV_PKGTYPE" = "DEB" ] && MainDEB "$@"
[ "$TV_PKGTYPE" = "RPM" ] && MainRPM "$@"

true


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{nameint}
/opt/%{name}/*
/etc/teamviewer
/var/log/teamviewer

%changelog

* Wed May 15 2013 david.david (MLO Team) <david.david> 8.0.17147-1.nonfree.mga2
+ Rebuild package for Mageia 2 (Nonfree)
- imported package from Polish community
- add french language in %%description and %%Summary
- version: 8.0.17147


